#!/usr/bin/env python
from distutils.core import setup
import os

if os.path.isfile("MANIFEST"):
    os.unlink("MANIFEST")

setup(name="python-nicefloat",
      version = "1.0",
      description = "Algorithm to pretty-print binary floating-point numbers",
      author = "Gustavo Niemeyer",
      author_email = "gustavo@niemeyer.net",
      url = "http://labix.org/python-nicefloat",
      license = "LGPL",
      long_description =
"""\
Python implementation of the algorithm to print floating points
described in the paper by Robert G. Burger and R. Kent Dybvig,
entitled:

   "Printing Floating-Point Numbers Quickly and Accurately"
""",
      py_modules = ["nicefloat"]
      )
