#!/usr/bin/python
import unittest
import os

from nicefloat import nicefloat

class NiceFloatTests(unittest.TestCase):

    def test_static_str(self):
        self.assertEqual(nicefloat.str(1.1), "1.1")

    def test_repr(self):
        self.assertEqual(repr(nicefloat(1.1)), "1.1")

    def test_str(self):
        self.assertEqual(str(nicefloat(1.1)), "1.1")

    def test_str_neg(self):
        self.assertEqual(str(nicefloat(-1.1)), "-1.1")

    def test_str_exact(self):
        self.assertEqual(str(nicefloat(1)), "1.0")

    def test_str_exact_neg(self):
        self.assertEqual(str(nicefloat(-1)), "-1.0")

    def test_str_under_one(self):
        self.assertEqual(str(nicefloat(0.1)), "0.1")

    def test_str_under_one_neg(self):
        self.assertEqual(str(nicefloat(-0.1)), "-0.1")

    def test_str_under_one_neg(self):
        self.assertEqual(str(nicefloat(-0.1)), "-0.1")

    def test_str_zero(self):
        self.assertEqual(str(nicefloat(0)), "0.0")

    def test_str_zero_neg(self):
        self.assertEqual(str(nicefloat(-0.0)), "-0.0")

    def test_neg(self):
        self.assertEqual(repr(-nicefloat(1.1)), "-1.1")

    def test_pos(self):
        self.assertEqual(repr(+nicefloat(1.1)), "1.1")

    def test_abs(self):
        self.assertEqual(repr(abs(nicefloat(1.1))), "1.1")

    def test_add(self):
        self.assertEqual(repr(nicefloat(1.1)+1.1), "2.2")

    def test_radd(self):
        self.assertEqual(repr(1.1+nicefloat(1.1)), "2.2")

    def test_sub(self):
        self.assertEqual(repr(nicefloat(2.2)-1.1), "1.1")

    def test_rsub(self):
        self.assertEqual(repr(2.2-nicefloat(1.1)), "1.1")

    def test_div(self):
        self.assertEqual(repr(nicefloat(2.2)/2), "1.1")

    def test_rdiv(self):
        self.assertEqual(repr(2.2/nicefloat(2)), "1.1")

    def test_mul(self):
        self.assertEqual(repr(nicefloat(1.1)*2), "2.2")

    def test_rmul(self):
        self.assertEqual(repr(2*nicefloat(1.1)), "2.2")

    def test_pow(self):
        self.assertEqual(repr(nicefloat(1.1)**1), "1.1")

    def test_rpow(self):
        self.assertEqual(repr(1.1**nicefloat(1)), "1.1")

    def test_truediv(self):
        self.assertEqual(repr(nicefloat(1.1)/1), "1.1")

    def test_rtruediv(self):
        self.assertEqual(repr(1.1/nicefloat(1)), "1.1")

    def test_floordiv(self):
        self.assertEqual(repr(nicefloat(1.1)//1+0.1), "1.1")

    def test_rfloordiv(self):
        self.assertEqual(repr(1.1//nicefloat(1)+0.1), "1.1")

if __name__ == "__main__":
	unittest.main()
